<!-- eslint-disable @angular-eslint/template/eqeqeq -->
<div class="col-11">
    <div class="mb-4 border rounded" *ngFor="let user of userList">
        <ngb-accordion #acc="ngbAccordion">
            <ngb-panel id="toggle-1" [title]="getFullName(user?.sender)">
                <ng-template ngbPanelContent>         
                        <ul class="mt-2">
                            <li><span class="text-muted">{{'humanresources.tableStatus' | translate}}</span></li>
                            <span class="status small mb-2">{{user?.conclusionStatus?.name}}</span>
                            <li><span class="text-muted">{{'humanresources.conclusion' | translate}}</span></li>
                            <ol class="ps-3 mb-2">
                                <li class="d-flex justify-content-between border-bottom py-2" *ngFor="let doc of user?.documents">
                                    
                                    <div class="text-center download" (click)="save(doc)">
                                        <i class="bi bi-file-earmark-arrow-down fs-1"></i>
                                        <p class="mb-0">{{doc?.title}}</p>
                                    </div>
                                    <div class="ms-2">
                                    <span class="btn btn-transparent float-end" (click)="history(doc?.id)"><i class="bi bi-clock-history"></i></span>
                                    </div>
                                    <div class="d-flex flex-column ms-auto pe-3 w-50">
                                        <div *ngIf="permission.RevisionConclusion && !doc?.needsRevision">
                                            <button class="btn btn-outline-secondary btn-sm" (click)="docRevision(doc?.id)">{{'employee.sendToRevision' | translate}}</button>
                                        </div>
                                        <span class="text-muted small mb-1" *ngIf="!!doc?.revisionComment">{{'employee.request' | translate}}</span>
                                        <div *ngIf="doc?.needsRevision && authService.id == user?.sender.id">
                                          <button class="btn btn-outline-dark btn-sm w-100" (click)="docRevisionfix(doc?.id)">{{'employee.revision' | translate}}</button>  
                                        </div>
                                        <span class="small text-muted">{{doc?.revisionComment}}</span>
                                        <span class="small text-muted">{{doc?.revisionRequestDate | date: "dd MMMM yyyy, HH:mm"}}</span>
                                    </div>
                                </li>                            </ol>
                            <li><span class="text-muted">{{'humanresources.comment' | translate}}</span></li>
                            <span class="small">{{user?.comment}}</span>
                        </ul>
                        <button *ngIf="authService.id == user?.sender.id" class="btn btn-outline-secondary ms-3 btn-sm"(click)="applicationRevision(user)">{{'employee.edit' | translate}}</button>
                </ng-template>
            </ngb-panel>
        </ngb-accordion>
        <div class="d-flex justify-content-between mx-2 mb-2">
            <span class="text-muted small">{{user?.sender?.employeeDTO?.serviceGroup?.name}}</span>
            <div class="text-muted small">{{user?.creationDate | date: 'dd MMMM yyyy, HH:mm'}}</div>
        </div>
    </div>
</div>